﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceProcess;
using jabber.client;
using JabberLoggingService;
using JabberLoggingService.Properties;
using System.Threading;

class JabberLogging : ServiceBase
{
    JabberLoggingClient Client;
    Thread NewThread;
    private static bool shutdown = false;

    public JabberLogging()
    {
        this.ServiceName = "JabberLoggingService";
        this.CanStop = true;
        this.CanPauseAndContinue = false;
        this.AutoLog = true;
    }

    public void ClientThread()
    {
        while (!shutdown)
        {
            Settings.Default.Reload();
            Client = new JabberLoggingClient(Settings.Default.JabberServer, Settings.Default.JabberUser, Settings.Default.JabberPassword,Settings.Default.TargetUsers,Settings.Default.WindowsEventlogs, Settings.Default.IgnoreKeywords);

            Thread.Sleep(100);
        }
    }


    protected override void OnStart(string[] args)
    {
        Settings.Default.Reload();

        Settings.Default.Save();

        NewThread = new Thread(new ThreadStart(ClientThread));

        NewThread.Start();
    }
    
    protected override void OnStop()
    {
        shutdown = true;
    }
 
    public static void Main()
    {
        System.ServiceProcess.ServiceBase.Run(new JabberLogging());
    }

    private void InitializeComponent()
    {
        // 
        // JabberLogging
        // 
        this.ServiceName = "JabberLogging";

    }
}

